Bug 852414 - Useless dependencies
Useless dependencies
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: libpst (Show other bugs)
18
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Carl Byington
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-08-28 08:38 EDT by Petr Pisar
Modified: 2013-01-16 14:27 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-01-16 14:27:43 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Fix (1.95 KB, patch)
2012-08-28 09:22 EDT, Petr Pisar
no flags Details | Diff

  None (edit)
Description Petr Pisar 2012-08-28 08:38:34 EDT
Current libpst-python provides _libpst.so() which is private library. Please filter it from package provides.

Current spec file build-requires freetype-devel and libjpeg-devel. None of their header files are used by libpst. Please drop these dependencies.
Comment 1 Petr Pisar 2012-08-28 09:22:10 EDT
Created attachment 607507 [details]
Fix
Comment 2 Fedora Update System 2012-12-27 16:55:14 EST
libpst-0.6.57-1.fc17 has been submitted as an update for Fedora 17.
https://admin.fedoraproject.org/updates/libpst-0.6.57-1.fc17
Comment 3 Fedora Update System 2012-12-29 01:25:54 EST
Package libpst-0.6.57-1.fc17:
* should fix your issue,
* was pushed to the Fedora 17 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing libpst-0.6.57-1.fc17'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2012-21062/libpst-0.6.57-1.fc17
then log in and leave karma (feedback).
Comment 4 Fedora Update System 2013-01-03 13:29:06 EST
libpst-0.6.58-1.fc17 has been submitted as an update for Fedora 17.
https://admin.fedoraproject.org/updates/libpst-0.6.58-1.fc17
Comment 5 Fedora Update System 2013-01-16 14:27:46 EST
libpst-0.6.58-1.fc17 has been pushed to the Fedora 17 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.